> ## Documentation Index
> Fetch the complete documentation index at: https://docs-api.kravata.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Operations

> Lists the operations (deposits, withdrawals, ramps and transfers) of your client, newest first.

#### Request

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Authorization | Header | Yes | `Bearer <access_token>` obtained from **POST /api/v1/client/token**. |
| page | Query | No | Page number, starting at 1. |
| page_size | Query | No | Records per page (1-100, default 10). |

#### Response

A paginated envelope (`items`, `total`, `page`, `page_size`). Each item contains:

| Field | Description |
| --- | --- |
| id | Unique identifier of the operation. |
| userId | User that owns the operation. |
| numberCode | Sequential tracking number. |
| direction | Kind of operation (e.g. `DEPOSIT`, `WITHDRAWAL`, `TRANSFER`, `RECHARGE`). |
| symbolOrigin / symbolDestination | Assets debited and credited. |
| amountOrigin / amountDestination | Amounts debited and credited. |
| originId / destinationId | Origin and destination of the funds. |
| rate | Rate applied. |
| paymentMethod | Rail used. |
| status | Current status (e.g. `PENDING`, `AWAITING_DEPOSIT`, `COMPLETED`, `REJECTED`, `CANCELED`). |
| registerDate | Creation timestamp. |
| depositInstructions | Where to send the funds, when applicable. |
| treasuryItems | Cost breakdown of the operation. |



## OpenAPI

````yaml /stack/openapi.json get /api/v1/admin/operations
openapi: 3.1.0
info:
  title: Kravata Stack API
  version: '2.0'
  description: >-
    Kravata Stack API: users, accounts, custody wallets, liquidity ramps and
    fiat payments.
servers:
  - url: https://test-api-kore.kravata.co
    description: Test
  - url: https://partners-api.kravata.co
    description: Production (mTLS + IP allowlist)
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Users
  - name: Accounts
  - name: Earn
  - name: Custody
  - name: Liquidity Ramps
  - name: Payments
  - name: Webhooks
paths:
  /api/v1/admin/operations:
    get:
      tags:
        - Liquidity Ramps
      summary: Get Operations
      description: >-
        Lists the operations (deposits, withdrawals, ramps and transfers) of
        your client, newest first.


        #### Request


        | Field | Type | Required | Description |

        | --- | --- | --- | --- |

        | Authorization | Header | Yes | `Bearer <access_token>` obtained from
        **POST /api/v1/client/token**. |

        | page | Query | No | Page number, starting at 1. |

        | page_size | Query | No | Records per page (1-100, default 10). |


        #### Response


        A paginated envelope (`items`, `total`, `page`, `page_size`). Each item
        contains:


        | Field | Description |

        | --- | --- |

        | id | Unique identifier of the operation. |

        | userId | User that owns the operation. |

        | numberCode | Sequential tracking number. |

        | direction | Kind of operation (e.g. `DEPOSIT`, `WITHDRAWAL`,
        `TRANSFER`, `RECHARGE`). |

        | symbolOrigin / symbolDestination | Assets debited and credited. |

        | amountOrigin / amountDestination | Amounts debited and credited. |

        | originId / destinationId | Origin and destination of the funds. |

        | rate | Rate applied. |

        | paymentMethod | Rail used. |

        | status | Current status (e.g. `PENDING`, `AWAITING_DEPOSIT`,
        `COMPLETED`, `REJECTED`, `CANCELED`). |

        | registerDate | Creation timestamp. |

        | depositInstructions | Where to send the funds, when applicable. |

        | treasuryItems | Cost breakdown of the operation. |
      operationId: get-operations
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        userId:
                          type: string
                        type:
                          type: string
                        custodyType:
                          type: string
                        prefix:
                          type: string
                        numberCode:
                          type: integer
                        originId:
                          type: string
                        destinationId:
                          type: string
                        symbolOrigin:
                          type: string
                        symbolDestination:
                          type: string
                        amountOrigin:
                          type: number
                        amountDestination:
                          type: integer
                        rate:
                          type: number
                        paymentMethod:
                          type: string
                        registerDate:
                          type: string
                        status:
                          type: string
                        direction:
                          type: string
                        depositInstructions: {}
                        metadataItems: {}
                        events: {}
                        treasuryItems: {}
                  total:
                    type: integer
                  page:
                    type: integer
                  page_size:
                    type: integer
                  order_by: {}
                  order_dir:
                    type: string
              examples:
                get-all-operations:
                  summary: Get all operations
                  value:
                    items:
                      - id: 833456bb-6647-4cb5-a619-8ed6f919a99d
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 955
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: 6a215a87-cb54-4657-bb01-b7de2e4675a2
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 6.61
                        amountDestination: 20009
                        rate: 3592.5
                        paymentMethod: BREB
                        registerDate: '2026-06-05T17:32:02.715911'
                        status: TOKENOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 2a9e1c55-7628-4c1a-918b-1cc086244b8a
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 7912
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 6000
                        amountDestination: 1.49
                        rate: 3575
                        paymentMethod: BREB
                        registerDate: '2026-06-10T09:51:30.747145'
                        status: COMPLETED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 522f133b-19c6-4017-be82-754c81e74120
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 75311
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 20000
                        amountDestination: 5.34
                        rate: 3592.5
                        paymentMethod: BREB
                        registerDate: '2026-06-05T17:50:22.175662'
                        status: COMPLETED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: b25e87d2-1c43-4d16-a93e-251fd116ba42
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 95351
                        originId: null
                        destinationId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 120000
                        amountDestination: 33.22
                        rate: 3573
                        paymentMethod: PSE
                        registerDate: '2026-05-13T12:11:28.180214'
                        status: COMPLETED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 68ad4632-9f4b-4c19-9762-1fb8badc2f02
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 48094
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: 6a215a87-cb54-4657-bb01-b7de2e4675a2
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 6.61
                        amountDestination: 20009
                        rate: 3592.5
                        paymentMethod: BREB
                        registerDate: '2026-06-05T17:51:59.369318'
                        status: TOKENOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 836e6bf5-770c-4ab7-95c2-d597a301a780
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 55556
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 500000
                        amountDestination: 139.2
                        rate: 3569
                        paymentMethod: PSE
                        registerDate: '2026-06-03T17:09:11.522066'
                        status: CANCELED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 08f504de-b989-4cb7-bd5d-3ad2e4b5499c
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 49820
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: 6a215a87-cb54-4657-bb01-b7de2e4675a2
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 2.68
                        amountDestination: 6000
                        rate: 3575.8
                        paymentMethod: BREB
                        registerDate: '2026-06-10T10:08:35.269555'
                        status: TOKENOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: bc494089-d383-4f9c-b8b9-21db1e91cd00
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 70175
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 20000
                        amountDestination: 5.34
                        rate: 3592.5
                        paymentMethod: BREB
                        registerDate: '2026-06-05T17:55:28.674458'
                        status: COMPLETED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 7336b7cd-9684-4397-b8de-d7a3829b7b07
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 22935
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: ce792d2e-8cbc-4be4-a951-21151021aea2
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 6.65
                        amountDestination: 19983
                        rate: 3567
                        paymentMethod: BREB
                        registerDate: '2026-06-04T11:55:07.420252'
                        status: TOKENOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 23bb71ee-d310-47c5-ba20-b41117ff7dfd
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 93009
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: f0e6131d-8b38-4585-ac1a-a15e97ee8557
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 6.66
                        amountDestination: 20002
                        rate: 3564.43
                        paymentMethod: BREB
                        registerDate: '2026-06-04T11:34:09.621095'
                        status: CASHOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 49d42fa8-7269-4824-af9e-bfd26f4fe3ee
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 98476
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 10000
                        amountDestination: 2.6
                        rate: 3568.8
                        paymentMethod: BREB
                        registerDate: '2026-06-10T10:42:21.391034'
                        status: COMPLETED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 4cf2def3-ff62-4623-9ef9-3caac6864a99
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 97911
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: ad025e5b-7280-456c-b006-0d68fe4c119d
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 6.67
                        amountDestination: 20008
                        rate: 3560
                        paymentMethod: BREB
                        registerDate: '2026-06-04T23:51:21.020007'
                        status: TOKENOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: ab51bf3f-f5a7-40cd-bb9f-28a206e719f8
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 49550
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: 6a215a87-cb54-4657-bb01-b7de2e4675a2
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 6.61
                        amountDestination: 20009
                        rate: 3592.5
                        paymentMethod: BREB
                        registerDate: '2026-06-05T17:58:02.603639'
                        status: TOKENOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 02a7093d-8f0d-4e4a-93de-a42e0423b9a6
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 93279
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 20000
                        amountDestination: 5.39
                        rate: 3560
                        paymentMethod: BREB
                        registerDate: '2026-06-05T01:06:44.548434'
                        status: COMPLETED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: be832d9f-6a11-461b-b1f1-cf3274350402
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 49987
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: 6a215a87-cb54-4657-bb01-b7de2e4675a2
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 2.7
                        amountDestination: 6000
                        rate: 3550
                        paymentMethod: BREB
                        registerDate: '2026-06-10T22:19:51.387383'
                        status: TOKENOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 43a6879e-16ce-4729-934e-9906da33c0d8
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 10232
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 20000
                        amountDestination: 5.34
                        rate: 3592.5
                        paymentMethod: BREB
                        registerDate: '2026-06-05T17:59:34.022866'
                        status: COMPLETED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 3dc593f0-329a-4621-9b22-fe0b22b32b8a
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 39991
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: ad025e5b-7280-456c-b006-0d68fe4c119d
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 6.67
                        amountDestination: 20008
                        rate: 3560
                        paymentMethod: BREB
                        registerDate: '2026-06-05T01:15:52.610471'
                        status: TOKENOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: a2a6211e-b2f5-47df-a80c-28812bc1d84e
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 17149
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: 6a215a87-cb54-4657-bb01-b7de2e4675a2
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 6.61
                        amountDestination: 20009
                        rate: 3592.5
                        paymentMethod: BREB
                        registerDate: '2026-06-05T18:01:52.733361'
                        status: TOKENOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: dcd556dc-3113-4424-9427-69f83be74ce3
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 28045
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 20000
                        amountDestination: 5.33
                        rate: 3599
                        paymentMethod: BREB
                        registerDate: '2026-06-05T10:59:21.730036'
                        status: COMPLETED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 5abfbd59-0561-4180-b584-ff9c8e2c3d0a
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 42586
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 68799
                        amountDestination: 18.9
                        rate: 3550
                        paymentMethod: PSE
                        registerDate: '2026-06-10T23:53:25.591920'
                        status: COMPLETED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 6dd5f2e8-63d9-4fa1-b633-69e55486a275
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 19358
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: ad025e5b-7280-456c-b006-0d68fe4c119d
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 6.6
                        amountDestination: 19992
                        rate: 3595.29
                        paymentMethod: BREB
                        registerDate: '2026-06-05T11:02:58.244551'
                        status: TOKENOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 5446ee90-7b2a-4cd2-9435-f24643a50d62
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 2729
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 20000
                        amountDestination: 5.34
                        rate: 3592.5
                        paymentMethod: BREB
                        registerDate: '2026-06-05T18:10:47.394878'
                        status: COMPLETED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 1a26a990-0221-4194-8387-11c4af19a264
                        userId: 535f8681-6338-4a6f-ac5c-f9c9e672a301
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 47869
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 2000
                        amountDestination: 0.41
                        rate: 3550
                        paymentMethod: BREB
                        registerDate: '2026-06-11T05:35:02.109678'
                        status: TOKENINREJECTED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 46a46534-2a47-4ac6-bdb7-950ccc807be0
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 55353
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 20000
                        amountDestination: 5.32
                        rate: 3610
                        paymentMethod: BREB
                        registerDate: '2026-06-05T11:18:19.416643'
                        status: COMPLETED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 87ed791c-4761-424a-b7f2-a97f23b40d6f
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 41031
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: 6a215a87-cb54-4657-bb01-b7de2e4675a2
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 6.61
                        amountDestination: 20000
                        rate: 3592.5
                        paymentMethod: BREB
                        registerDate: '2026-06-05T18:22:07.201375'
                        status: TOKENOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 4b705b2f-cb9c-4b39-a020-9566013b07fc
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 23515
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: ad025e5b-7280-456c-b006-0d68fe4c119d
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 6.58
                        amountDestination: 20016
                        rate: 3610
                        paymentMethod: BREB
                        registerDate: '2026-06-05T11:21:02.099805'
                        status: TOKENOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: f33198c0-fddf-48e3-ad8c-1d3143d15649
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 8187
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 20000
                        amountDestination: 5.35
                        rate: 3586.7
                        paymentMethod: BREB
                        registerDate: '2026-06-09T11:10:56.934437'
                        status: COMPLETED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 42be2a34-44b2-4f0e-b52f-ebe3856f1597
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 56557
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 20000
                        amountDestination: 5.34
                        rate: 3592.5
                        paymentMethod: BREB
                        registerDate: '2026-06-05T13:08:12.044176'
                        status: COMPLETED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: e396ae13-8524-4bdf-9a3e-21f889216683
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 68803
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: ad025e5b-7280-456c-b006-0d68fe4c119d
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 6.61
                        amountDestination: 20009
                        rate: 3592.5
                        paymentMethod: BREB
                        registerDate: '2026-06-05T13:13:22.915422'
                        status: CASHOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: ce78c9a7-d847-4ad1-ba57-282c0295f727
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 90776
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: 6a215a87-cb54-4657-bb01-b7de2e4675a2
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 6.62
                        amountDestination: 20000
                        rate: 3587.75
                        paymentMethod: BREB
                        registerDate: '2026-06-09T11:12:59.290178'
                        status: TOKENOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: fdef584c-5230-4022-b51b-0cc7dca040f4
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 85907
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: 6a215a87-cb54-4657-bb01-b7de2e4675a2
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 6.61
                        amountDestination: 20009
                        rate: 3592.5
                        paymentMethod: BREB
                        registerDate: '2026-06-05T15:29:32.208373'
                        status: TOKENOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: c6f80236-5034-4c74-a041-e210f5bf2a45
                        userId: 535f8681-6338-4a6f-ac5c-f9c9e672a301
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 68936
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 3000
                        amountDestination: 0.67
                        rate: 3568
                        paymentMethod: BREB
                        registerDate: '2026-06-09T13:28:25.577485'
                        status: TOKENINREJECTED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: cc7a8df1-7a19-4e2d-bcfd-911f040faaa0
                        userId: 535f8681-6338-4a6f-ac5c-f9c9e672a301
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 5883
                        originId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        destinationId: 1d1c84de-e702-4e3d-b7ce-0e8fde6753e1
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 0.67
                        amountDestination: -1133
                        rate: 3568
                        paymentMethod: BREB
                        registerDate: '2026-06-09T13:46:35.743437'
                        status: CASHOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 00be37e0-c7bb-4d0f-8475-f62846fa77f6
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 78789
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 20000
                        amountDestination: 5.34
                        rate: 3592.5
                        paymentMethod: BREB
                        registerDate: '2026-06-05T17:30:00.843015'
                        status: COMPLETED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 9cea9c1c-2aad-45b3-a813-0c1e6562ef26
                        userId: 535f8681-6338-4a6f-ac5c-f9c9e672a301
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 59465
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 10000
                        amountDestination: 2.6
                        rate: 3568
                        paymentMethod: BREB
                        registerDate: '2026-06-09T13:55:39.120904'
                        status: TOKENINREJECTED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 4fd806a5-1407-4f3d-9d96-bc4896ce2daa
                        userId: 535f8681-6338-4a6f-ac5c-f9c9e672a301
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 63194
                        originId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        destinationId: c5abc501-62ef-40f7-925c-88a268b4d73a
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 3.27
                        amountDestination: 8051
                        rate: 3568
                        paymentMethod: BREB
                        registerDate: '2026-06-09T14:02:38.873128'
                        status: COMPLETED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 261982b7-86e4-44d3-88c6-6b87e33dba7e
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 84079
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 3000
                        amountDestination: 0.67
                        rate: 3572
                        paymentMethod: BREB
                        registerDate: '2026-06-10T09:29:40.200993'
                        status: COMPLETED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: cd08272e-0efd-4e1f-8511-4f6003766e23
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 21381
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: 6a215a87-cb54-4657-bb01-b7de2e4675a2
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 1.84
                        amountDestination: 3000
                        rate: 3573
                        paymentMethod: BREB
                        registerDate: '2026-06-10T09:45:03.079232'
                        status: TOKENOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 64ec76ec-f25b-4654-b69e-7dbfa43f0578
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 96885
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: dfa1bb42-74b7-4dab-b52b-0ec2e26253db
                        symbolOrigin: USDC
                        symbolDestination: USD
                        amountOrigin: 5
                        amountDestination: 13497
                        rate: 3433.8
                        paymentMethod: ACH
                        registerDate: '2026-06-16T09:45:12.921987'
                        status: CASHOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 6205753d-2695-48cf-8843-d6cc435243c0
                        userId: 535f8681-6338-4a6f-ac5c-f9c9e672a301
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 88476
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 4000
                        amountDestination: 0.72
                        rate: 3515
                        paymentMethod: BREB
                        registerDate: '2026-06-11T09:55:44.395409'
                        status: TOKENINREJECTED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 145bb494-cc60-45b8-8a7e-ee4e7dc11e59
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 94152
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: dfa1bb42-74b7-4dab-b52b-0ec2e26253db
                        symbolOrigin: USDC
                        symbolDestination: USD
                        amountOrigin: 5
                        amountDestination: 13455
                        rate: 3425.4
                        paymentMethod: WIRE
                        registerDate: '2026-06-16T10:38:35.674642'
                        status: CASHOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 48452461-c6d6-40ef-a672-aa4409d6d7f1
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 42208
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: dfa1bb42-74b7-4dab-b52b-0ec2e26253db
                        symbolOrigin: USDC
                        symbolDestination: USD
                        amountOrigin: 5
                        amountDestination: 13453
                        rate: 3425
                        paymentMethod: WIRE
                        registerDate: '2026-06-16T10:47:58.221813'
                        status: CASHOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 2529ce05-0b67-4222-8820-c4a6887cf8ab
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 67502
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: dfa1bb42-74b7-4dab-b52b-0ec2e26253db
                        symbolOrigin: USDC
                        symbolDestination: USD
                        amountOrigin: 5
                        amountDestination: 13461
                        rate: 3426.5
                        paymentMethod: SWIFT
                        registerDate: '2026-06-16T11:09:34.471163'
                        status: CASHOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 16e36efa-c72a-47d6-b6d5-7fb97bad1f11
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 49992
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: dfa1bb42-74b7-4dab-b52b-0ec2e26253db
                        symbolOrigin: USDC
                        symbolDestination: USD
                        amountOrigin: 5
                        amountDestination: 13440
                        rate: 3422.25
                        paymentMethod: WIRE
                        registerDate: '2026-06-16T10:35:53.821552'
                        status: CASHOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: b4373d39-814e-431f-b932-b5433d9fc4c7
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 53753
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: dfa1bb42-74b7-4dab-b52b-0ec2e26253db
                        symbolOrigin: USDC
                        symbolDestination: USD
                        amountOrigin: 5
                        amountDestination: 13473
                        rate: 3429
                        paymentMethod: SWIFT
                        registerDate: '2026-06-16T11:26:37.353231'
                        status: CASHOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 909a4dfb-ac2d-4239-a696-b8bcee3fcc36
                        userId: 535f8681-6338-4a6f-ac5c-f9c9e672a301
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 4423
                        originId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        destinationId: 1d1c84de-e702-4e3d-b7ce-0e8fde6753e1
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 1.13
                        amountDestination: 2923
                        rate: 3507
                        paymentMethod: BREB
                        registerDate: '2026-06-11T11:41:36.145037'
                        status: COMPLETED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 4ff02cb3-3757-4900-8c11-4ef51d73cb63
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 67077
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: dfa1bb42-74b7-4dab-b52b-0ec2e26253db
                        symbolOrigin: USDC
                        symbolDestination: USD
                        amountOrigin: 5
                        amountDestination: 13467
                        rate: 3427.75
                        paymentMethod: SWIFT
                        registerDate: '2026-06-16T11:29:13.091788'
                        status: CASHOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: bb692d79-1dc9-4c0c-a718-74610bf15224
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 83520
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: dfa1bb42-74b7-4dab-b52b-0ec2e26253db
                        symbolOrigin: USDC
                        symbolDestination: USD
                        amountOrigin: 5
                        amountDestination: 13467
                        rate: 3427.75
                        paymentMethod: WIRE
                        registerDate: '2026-06-16T11:29:40.840963'
                        status: CASHOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 45335b9c-dc7b-45ca-a3f4-94fcf738590d
                        userId: 535f8681-6338-4a6f-ac5c-f9c9e672a301
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 36891
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 6000
                        amountDestination: 1.27
                        rate: 3495
                        paymentMethod: BREB
                        registerDate: '2026-06-11T13:38:21.250115'
                        status: TOKENINREJECTED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: ded4607d-d2dc-476d-9822-dae0a87ef6db
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 11036
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: dfa1bb42-74b7-4dab-b52b-0ec2e26253db
                        symbolOrigin: USDC
                        symbolDestination: USD
                        amountOrigin: 200
                        amountDestination: 175
                        rate: 1
                        paymentMethod: WIRE
                        registerDate: '2026-06-19T15:38:24.661260'
                        status: CASHOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems:
                          - id: e8a8e3ad-d9b1-4158-825d-6184b7bedadb
                            operationId: ded4607d-d2dc-476d-9822-dae0a87ef6db
                            name: CostInfra
                            amount: 25
                            showClient: true
                          - id: 06060cab-e4ab-4324-8b80-a048397c7917
                            operationId: ded4607d-d2dc-476d-9822-dae0a87ef6db
                            name: calculateRate
                            amount: 1
                            showClient: true
                          - id: 40f8e6de-3c65-4b61-880f-f3bb552ee873
                            operationId: ded4607d-d2dc-476d-9822-dae0a87ef6db
                            name: amountReceive
                            amount: 175
                            showClient: true
                      - id: c93a7e3a-0fe1-4b67-b8c7-63a759504d3e
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 43149
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: dfa1bb42-74b7-4dab-b52b-0ec2e26253db
                        symbolOrigin: USDC
                        symbolDestination: USD
                        amountOrigin: 200
                        amountDestination: 175
                        rate: 1
                        paymentMethod: WIRE
                        registerDate: '2026-06-22T08:57:28.947930'
                        status: CASHOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems:
                          - id: 3c22dd64-f435-4b21-b9ed-f17eacd1337e
                            operationId: c93a7e3a-0fe1-4b67-b8c7-63a759504d3e
                            name: CostInfra
                            amount: 25
                            showClient: true
                          - id: bcdd8442-afe9-4519-bbfc-db97879ebac4
                            operationId: c93a7e3a-0fe1-4b67-b8c7-63a759504d3e
                            name: calculateRate
                            amount: 1
                            showClient: true
                          - id: 6f16bb34-398a-4d48-9933-97aea01de58c
                            operationId: c93a7e3a-0fe1-4b67-b8c7-63a759504d3e
                            name: amountReceive
                            amount: 175
                            showClient: true
                      - id: 8d1f1d38-4e5c-426f-a22b-3d2cb56bcde9
                        userId: 535f8681-6338-4a6f-ac5c-f9c9e672a301
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 98680
                        originId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        destinationId: 1d1c84de-e702-4e3d-b7ce-0e8fde6753e1
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 1.27
                        amountDestination: 3394
                        rate: 3495
                        paymentMethod: BREB
                        registerDate: '2026-06-11T13:41:16.820850'
                        status: COMPLETED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 17dfeb70-c152-4a3e-9d65-4c20d5fd5cf9
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 24354
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: dfa1bb42-74b7-4dab-b52b-0ec2e26253db
                        symbolOrigin: USDC
                        symbolDestination: USD
                        amountOrigin: 50
                        amountDestination: 25
                        rate: 1
                        paymentMethod: WIRE
                        registerDate: '2026-06-22T09:00:54.635507'
                        status: CASHOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems:
                          - id: 1256d424-fa71-46ca-be5a-f804ec855778
                            operationId: 17dfeb70-c152-4a3e-9d65-4c20d5fd5cf9
                            name: CostInfra
                            amount: 25
                            showClient: true
                          - id: 91714e7f-d170-48f5-98f3-f8653f67b302
                            operationId: 17dfeb70-c152-4a3e-9d65-4c20d5fd5cf9
                            name: calculateRate
                            amount: 1
                            showClient: true
                          - id: aee554cd-95fb-4411-9217-052bca1efd74
                            operationId: 17dfeb70-c152-4a3e-9d65-4c20d5fd5cf9
                            name: amountReceive
                            amount: 25
                            showClient: true
                      - id: a0adddc7-97ab-431f-b195-cabfec29472f
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 26124
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: dfa1bb42-74b7-4dab-b52b-0ec2e26253db
                        symbolOrigin: USDC
                        symbolDestination: USD
                        amountOrigin: 50
                        amountDestination: 25
                        rate: 1
                        paymentMethod: WIRE
                        registerDate: '2026-06-22T09:14:07.960460'
                        status: CASHOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems:
                          - id: 85e7bede-e920-43b0-82cc-a09e920c54b2
                            operationId: a0adddc7-97ab-431f-b195-cabfec29472f
                            name: CostInfra
                            amount: 25
                            showClient: true
                          - id: 6fae81ea-33bf-4321-981d-ce92b2dca7b7
                            operationId: a0adddc7-97ab-431f-b195-cabfec29472f
                            name: calculateRate
                            amount: 1
                            showClient: true
                          - id: c4837675-554e-4dfc-84b2-bed1fe4e92d5
                            operationId: a0adddc7-97ab-431f-b195-cabfec29472f
                            name: amountReceive
                            amount: 25
                            showClient: true
                      - id: cf47ece0-4119-4785-8757-90816233283e
                        userId: 535f8681-6338-4a6f-ac5c-f9c9e672a301
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 11910
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 7000
                        amountDestination: 1.55
                        rate: 3495
                        paymentMethod: BREB
                        registerDate: '2026-06-11T15:02:47.049358'
                        status: COMPLETED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: ddf4688b-391b-4fc6-ae4b-da9ffee9e0f8
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 54202
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: dfa1bb42-74b7-4dab-b52b-0ec2e26253db
                        symbolOrigin: USDC
                        symbolDestination: USD
                        amountOrigin: 50
                        amountDestination: 25
                        rate: 1
                        paymentMethod: WIRE
                        registerDate: '2026-06-22T09:25:21.190675'
                        status: CASHOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems:
                          - id: e9128b6e-7891-4b3f-b1a6-d7b619a3a743
                            operationId: ddf4688b-391b-4fc6-ae4b-da9ffee9e0f8
                            name: CostInfra
                            amount: 25
                            showClient: true
                          - id: e9246481-8b1e-40c3-ad2c-cf25d41a5bc7
                            operationId: ddf4688b-391b-4fc6-ae4b-da9ffee9e0f8
                            name: calculateRate
                            amount: 1
                            showClient: true
                          - id: 93b1c5bd-a80f-47ce-8e35-4742046a7978
                            operationId: ddf4688b-391b-4fc6-ae4b-da9ffee9e0f8
                            name: amountReceive
                            amount: 25
                            showClient: true
                      - id: 00c60849-6325-4ef4-b64d-15501c606b13
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 97476
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: dfa1bb42-74b7-4dab-b52b-0ec2e26253db
                        symbolOrigin: USDC
                        symbolDestination: USD
                        amountOrigin: 50
                        amountDestination: 25
                        rate: 1
                        paymentMethod: WIRE
                        registerDate: '2026-06-22T10:10:03.751866'
                        status: CASHOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems:
                          - id: 34327eaa-5885-4062-8cb7-81e38c6a603a
                            operationId: 00c60849-6325-4ef4-b64d-15501c606b13
                            name: CostInfra
                            amount: 25
                            showClient: true
                          - id: f6c2a02a-c86a-4117-8c3a-2fe94d4dc93a
                            operationId: 00c60849-6325-4ef4-b64d-15501c606b13
                            name: calculateRate
                            amount: 1
                            showClient: true
                          - id: 8f00749a-9196-446c-89a8-9abdd4db1fe2
                            operationId: 00c60849-6325-4ef4-b64d-15501c606b13
                            name: amountReceive
                            amount: 25
                            showClient: true
                      - id: 9b41a2ed-bb1c-4bbc-91cc-4debf2b2f3e2
                        userId: 535f8681-6338-4a6f-ac5c-f9c9e672a301
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 60466
                        originId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        destinationId: 1d1c84de-e702-4e3d-b7ce-0e8fde6753e1
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 1.55
                        amountDestination: 4363
                        rate: 3495
                        paymentMethod: BREB
                        registerDate: '2026-06-11T15:09:05.757690'
                        status: COMPLETED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 9d87ef96-4863-41e2-a842-313f455f13fe
                        userId: 535f8681-6338-4a6f-ac5c-f9c9e672a301
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 74982
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 20000
                        amountDestination: 5.22
                        rate: 3495
                        paymentMethod: BREB
                        registerDate: '2026-06-12T07:30:56.997456'
                        status: TOKENINREJECTED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 988768c2-374e-4265-94c7-17fbebaf1a5a
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 43808
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 5000000
                        amountDestination: 1431.49
                        rate: 3475
                        paymentMethod: PSE
                        registerDate: '2026-06-12T11:43:20.195144'
                        status: CASHINREJECTED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 397d8e07-c409-4894-b570-cd69f6118c8d
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 46336
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 5000000
                        amountDestination: 1433.55
                        rate: 3470
                        paymentMethod: PSE
                        registerDate: '2026-06-12T12:04:56.676004'
                        status: CASHINREJECTED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: ac61408f-d270-4f10-814b-c73696aa477d
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 79482
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: dfa1bb42-74b7-4dab-b52b-0ec2e26253db
                        symbolOrigin: USDC
                        symbolDestination: USD
                        amountOrigin: 50
                        amountDestination: 25
                        rate: 1
                        paymentMethod: WIRE
                        registerDate: '2026-06-22T10:49:35.986078'
                        status: COMPLETED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems:
                          - id: 3257b3ba-04c6-41ab-8add-15576b0cbeca
                            operationId: ac61408f-d270-4f10-814b-c73696aa477d
                            name: CostInfra
                            amount: 25
                            showClient: true
                          - id: 4365251d-a711-4819-b2e8-4d2a18d6f945
                            operationId: ac61408f-d270-4f10-814b-c73696aa477d
                            name: calculateRate
                            amount: 1
                            showClient: true
                          - id: 5651ba6c-75b7-4904-9a16-33ba867b051b
                            operationId: ac61408f-d270-4f10-814b-c73696aa477d
                            name: amountReceive
                            amount: 25
                            showClient: true
                      - id: 486f19c4-def3-4e11-958a-16e4536b63bc
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 92352
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 5000000
                        amountDestination: 1432.31
                        rate: 3473
                        paymentMethod: PSE
                        registerDate: '2026-06-12T12:16:49.086201'
                        status: CASHINREJECTED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: a42a1e2d-d0e9-4883-bb30-1e2e8ebe3508
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 40831
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 5000000
                        amountDestination: 1431.07
                        rate: 3476
                        paymentMethod: PSE
                        registerDate: '2026-06-12T12:20:26.450079'
                        status: CASHINREJECTED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 259160af-9c54-4822-bd62-2d323f02c6c0
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 31765
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 450000
                        amountDestination: 129.21
                        rate: 3460
                        paymentMethod: PSE
                        registerDate: '2026-06-12T12:58:54.834568'
                        status: CASHINREJECTED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 18b41e73-eff6-4659-9e43-8c79cc4adbf5
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 96406
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 5000000
                        amountDestination: 1438.53
                        rate: 3458
                        paymentMethod: PSE
                        registerDate: '2026-06-12T17:03:30.217591'
                        status: CASHINREJECTED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 82a8c81a-279e-4e2d-9732-26ca13e599b8
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 98810
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 5000000
                        amountDestination: 1438.53
                        rate: 3458
                        paymentMethod: PSE
                        registerDate: '2026-06-12T17:08:26.363887'
                        status: CASHINREJECTED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: f12d2088-dd87-4af7-81fb-04072f883574
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 88050
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 1000000
                        amountDestination: 289.34
                        rate: 3436.5
                        paymentMethod: PSE
                        registerDate: '2026-06-16T09:11:49.466073'
                        status: TOKENINREJECTED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 9d0ba2b6-6b84-4474-a0fd-456e3967eb4d
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 19144
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: dfa1bb42-74b7-4dab-b52b-0ec2e26253db
                        symbolOrigin: USDC
                        symbolDestination: USD
                        amountOrigin: 50
                        amountDestination: 25
                        rate: 1
                        paymentMethod: WIRE
                        registerDate: '2026-06-22T14:40:28.631968'
                        status: COMPLETED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems:
                          - id: 038cbf6e-49e3-49c5-9c69-d57dadc7ebbb
                            operationId: 9d0ba2b6-6b84-4474-a0fd-456e3967eb4d
                            name: CostInfra
                            amount: 25
                            showClient: true
                          - id: 2ff13b63-b763-4da6-98d5-c3a204639d60
                            operationId: 9d0ba2b6-6b84-4474-a0fd-456e3967eb4d
                            name: calculateRate
                            amount: 1
                            showClient: true
                          - id: e92f9be7-8449-4d25-9e03-70dc0e8694ef
                            operationId: 9d0ba2b6-6b84-4474-a0fd-456e3967eb4d
                            name: amountReceive
                            amount: 25
                            showClient: true
                      - id: d5eaf029-f74d-4efa-8baa-caa0d50789d6
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 58168
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 50000000
                        amountDestination: 14441.39
                        rate: 3445
                        paymentMethod: PSE
                        registerDate: '2026-06-17T15:52:42.844601'
                        status: CASHINREJECTED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems:
                          - id: 49d204c1-801e-4658-ac24-88c9f665f2bf
                            operationId: d5eaf029-f74d-4efa-8baa-caa0d50789d6
                            name: CostInfra
                            amount: 0
                            showClient: true
                          - id: 3ee6b283-8432-4061-aab4-783e012a7cbc
                            operationId: d5eaf029-f74d-4efa-8baa-caa0d50789d6
                            name: calculateRate
                            amount: 3462.27
                            showClient: true
                          - id: f0008883-4b8c-4f09-8695-12be23fa1253
                            operationId: d5eaf029-f74d-4efa-8baa-caa0d50789d6
                            name: amountReceive
                            amount: 14441.39
                            showClient: true
                      - id: 18169c2a-dd51-488b-9eb2-d85a204a1b41
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 78622
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: dfa1bb42-74b7-4dab-b52b-0ec2e26253db
                        symbolOrigin: USDC
                        symbolDestination: USD
                        amountOrigin: 30
                        amountDestination: 0
                        rate: 1
                        paymentMethod: WIRE
                        registerDate: '2026-06-17T09:33:22.070624'
                        status: CASHOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: e23c7f1e-08fc-4922-a45e-45d3678c3ba8
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 59399
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: dfa1bb42-74b7-4dab-b52b-0ec2e26253db
                        symbolOrigin: USDC
                        symbolDestination: USD
                        amountOrigin: 30
                        amountDestination: 0
                        rate: 1
                        paymentMethod: SWIFT
                        registerDate: '2026-06-17T09:34:26.548989'
                        status: CASHOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                    total: 72
                    page: 1
                    page_size: 72
                    order_by: null
                    order_dir: asc
                get-operations-by-user-id:
                  summary: Get operations by user_id
                  value:
                    items:
                      - id: 833456bb-6647-4cb5-a619-8ed6f919a99d
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 955
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: 6a215a87-cb54-4657-bb01-b7de2e4675a2
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 6.61
                        amountDestination: 20009
                        rate: 3592.5
                        paymentMethod: BREB
                        registerDate: '2026-06-05T17:32:02.715911'
                        status: TOKENOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 2a9e1c55-7628-4c1a-918b-1cc086244b8a
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 7912
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 6000
                        amountDestination: 1.49
                        rate: 3575
                        paymentMethod: BREB
                        registerDate: '2026-06-10T09:51:30.747145'
                        status: COMPLETED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 522f133b-19c6-4017-be82-754c81e74120
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 75311
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 20000
                        amountDestination: 5.34
                        rate: 3592.5
                        paymentMethod: BREB
                        registerDate: '2026-06-05T17:50:22.175662'
                        status: COMPLETED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: b25e87d2-1c43-4d16-a93e-251fd116ba42
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 95351
                        originId: null
                        destinationId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 120000
                        amountDestination: 33.22
                        rate: 3573
                        paymentMethod: PSE
                        registerDate: '2026-05-13T12:11:28.180214'
                        status: COMPLETED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 68ad4632-9f4b-4c19-9762-1fb8badc2f02
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 48094
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: 6a215a87-cb54-4657-bb01-b7de2e4675a2
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 6.61
                        amountDestination: 20009
                        rate: 3592.5
                        paymentMethod: BREB
                        registerDate: '2026-06-05T17:51:59.369318'
                        status: TOKENOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 836e6bf5-770c-4ab7-95c2-d597a301a780
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 55556
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 500000
                        amountDestination: 139.2
                        rate: 3569
                        paymentMethod: PSE
                        registerDate: '2026-06-03T17:09:11.522066'
                        status: CANCELED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 08f504de-b989-4cb7-bd5d-3ad2e4b5499c
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 49820
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: 6a215a87-cb54-4657-bb01-b7de2e4675a2
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 2.68
                        amountDestination: 6000
                        rate: 3575.8
                        paymentMethod: BREB
                        registerDate: '2026-06-10T10:08:35.269555'
                        status: TOKENOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: bc494089-d383-4f9c-b8b9-21db1e91cd00
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 70175
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 20000
                        amountDestination: 5.34
                        rate: 3592.5
                        paymentMethod: BREB
                        registerDate: '2026-06-05T17:55:28.674458'
                        status: COMPLETED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 7336b7cd-9684-4397-b8de-d7a3829b7b07
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 22935
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: ce792d2e-8cbc-4be4-a951-21151021aea2
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 6.65
                        amountDestination: 19983
                        rate: 3567
                        paymentMethod: BREB
                        registerDate: '2026-06-04T11:55:07.420252'
                        status: TOKENOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 23bb71ee-d310-47c5-ba20-b41117ff7dfd
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 93009
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: f0e6131d-8b38-4585-ac1a-a15e97ee8557
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 6.66
                        amountDestination: 20002
                        rate: 3564.43
                        paymentMethod: BREB
                        registerDate: '2026-06-04T11:34:09.621095'
                        status: CASHOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 49d42fa8-7269-4824-af9e-bfd26f4fe3ee
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPI
                        numberCode: 98476
                        originId: null
                        destinationId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        symbolOrigin: COP
                        symbolDestination: USDC
                        amountOrigin: 10000
                        amountDestination: 2.6
                        rate: 3568.8
                        paymentMethod: BREB
                        registerDate: '2026-06-10T10:42:21.391034'
                        status: COMPLETED
                        direction: RECHARGE
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
                      - id: 4cf2def3-ff62-4623-9ef9-3caac6864a99
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        type: CUSTODY
                        custodyType: SELF_CUSTODY
                        prefix: NPO
                        numberCode: 97911
                        originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        destinationId: ad025e5b-7280-456c-b006-0d68fe4c119d
                        symbolOrigin: USDC
                        symbolDestination: COP
                        amountOrigin: 6.67
                        amountDestination: 20008
                        rate: 3560
                        paymentMethod: BREB
                        registerDate: '2026-06-04T23:51:21.020007'
                        status: TOKENOUTREJECTED
                        direction: WITHDRAWAL
                        depositInstructions: null
                        metadataItems: null
                        events: null
                        treasuryItems: null
[...]
